Subject: Re: [Simple] message-sessions-10 WGLC: unique message ID and fail ed connections?

From: Ignacio Mas Ivars <[email-masked]>
Date: Tue, 17 May 2005 07:56:21 -0500

Yes, that is what I meant! I am sorry if I did not make it clear with my
messages. I believe this solves all the problems we could foresee with
delayed reports while still allowing to identify a replicate message.

/Ignacio

On Tue, 2005-05-17 at 07:47 -0500, Ben Campbell wrote:
> To summarize then, you are saying that Message ID should be unique,  
> but if we resend the _same_ message we still use the _same_ message  
> ID. Is this correct?
> 
> If so, then I think this is a good idea.
> 
> I think I got confused by previous statements about a different  
> _version_ of the message getting a new ID. Or maybe I just can't read.
> 
> On May 17, 2005, at 2:16 AM, Ignacio Mas Ivars wrote:
> 
> > Well, rpecisely because we want the receiver to be able to  
> > differentiate
> > that this is the same message being resent we need to have unique
> > message IDs in time and space. The scenario you describe is perfectly
> > possible. If the sender wants to resend the message it will use the  
> > same
> > message ID and the receiver knows positively that it is a copy of the
> > previous message. The problem can arise when we don't require ID's  
> > to be
> > unique, since there could be some pathological scenarios where the
> > receiver can have doubts on whether is the same or a new message.  
> > So, in
> > my opinion we are precisely ensuring that we can have that ability. We
> > never said that you can't repeat a message ID, only that you can't
> > repeat message ID in two *different* messages... or am I missing
> > something here?
> >
> > /Ignacio
> >
> >
> >
-- 
Ignacio Más Ivars
Service enablers and protocols, Ericsson Research (EAB/TBG/B)
Ericsson AB                     Phone: +46 8 4045580
Torshamsgatan 23                Fax:   +46 8 7575720
SE-164 80 Stockholm, Sweden     mailto: [email-masked]
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple